org.keycloak.authorization.jpa.store

## Class ResourceServerAdapter

- java.lang.Object
- - org.keycloak.authorization.model.AbstractAuthorizationModel
  - - org.keycloak.authorization.jpa.store.ResourceServerAdapter

- All Implemented Interfaces:
    ResourceServer, JpaModel<ResourceServerEntity>

      public class ResourceServerAdapter
      extends AbstractAuthorizationModel
      implements ResourceServer, JpaModel<ResourceServerEntity>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceServerAdapter(ResourceServerEntity entity, javax.persistence.EntityManager em, StoreFactory storeFactory)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `DecisionStrategy` | `getDecisionStrategy()` Returns the `DecisionStrategy` configured for this instance.
    `ResourceServerEntity` | `getEntity()`
    `String` | `getId()` Returns the unique identifier for this instance.
    `PolicyEnforcementMode` | `getPolicyEnforcementMode()` Returns the `PolicyEnforcementMode` configured for this instance.
    `int` | `hashCode()`
    `boolean` | `isAllowRemoteResourceManagement()` Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
    `void` | `setAllowRemoteResourceManagement(boolean allowRemoteResourceManagement)` Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
    `void` | `setDecisionStrategy(DecisionStrategy decisionStrategy)` Defines a `DecisionStrategy` for this instance, indicating how permissions should be granted depending on the given `decisionStrategy`.
    `void` | `setPolicyEnforcementMode(PolicyEnforcementMode enforcementMode)` Defines a `PolicyEnforcementMode` for this instance.
    `static ResourceServerEntity` | `toEntity(javax.persistence.EntityManager em, ResourceServer resource)`

    - ### Methods inherited from class org.keycloak.authorization.model.AbstractAuthorizationModel

      `throwExceptionIfReadonly`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceServerAdapter

          public ResourceServerAdapter(ResourceServerEntity entity,
                                       javax.persistence.EntityManager em,
                                       StoreFactory storeFactory)

  - ### Method Detail

    - #### getEntity

          public ResourceServerEntity getEntity()

      Specified by:
        `getEntity` in interface `JpaModel<ResourceServerEntity>`

    - #### getId

          public String getId()

      Description copied from interface: `ResourceServer`
      Returns the unique identifier for this instance.
      Specified by:
        `getId` in interface `ResourceServer`
      Returns:
        the unique identifier for this instance

    - #### isAllowRemoteResourceManagement

          public boolean isAllowRemoteResourceManagement()

      Description copied from interface: `ResourceServer`
      Indicates if the resource server is allowed to manage its own resources remotely using the Protection API. `true` if the resource server is allowed to managed them remotely
      Specified by:
        `isAllowRemoteResourceManagement` in interface `ResourceServer`

    - #### setAllowRemoteResourceManagement

          public void setAllowRemoteResourceManagement(boolean allowRemoteResourceManagement)

      Description copied from interface: `ResourceServer`
      Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
      Specified by:
        `setAllowRemoteResourceManagement` in interface `ResourceServer`
      Parameters:
        `allowRemoteResourceManagement` - `true` if the resource server is allowed to managed them remotely

    - #### getPolicyEnforcementMode

          public PolicyEnforcementMode getPolicyEnforcementMode()

      Description copied from interface: `ResourceServer`
      Returns the `PolicyEnforcementMode` configured for this instance.
      Specified by:
        `getPolicyEnforcementMode` in interface `ResourceServer`
      Returns:
        the `PolicyEnforcementMode` configured for this instance.

    - #### setPolicyEnforcementMode

          public void setPolicyEnforcementMode(PolicyEnforcementMode enforcementMode)

      Description copied from interface: `ResourceServer`
      Defines a `PolicyEnforcementMode` for this instance.
      Specified by:
        `setPolicyEnforcementMode` in interface `ResourceServer`
      Parameters:
        `enforcementMode` - one of the available options in `PolicyEnforcementMode`

    - #### getDecisionStrategy

          public DecisionStrategy getDecisionStrategy()

      Description copied from interface: `ResourceServer`
      Returns the `DecisionStrategy` configured for this instance.
      Specified by:
        `getDecisionStrategy` in interface `ResourceServer`
      Returns:
        the decision strategy

    - #### setDecisionStrategy

          public void setDecisionStrategy(DecisionStrategy decisionStrategy)

      Description copied from interface: `ResourceServer`
      Defines a `DecisionStrategy` for this instance, indicating how permissions should be granted depending on the given `decisionStrategy`.
      Specified by:
        `setDecisionStrategy` in interface `ResourceServer`
      Parameters:
        `decisionStrategy` - the decision strategy

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toEntity

          public static ResourceServerEntity toEntity(javax.persistence.EntityManager em,
                                                      ResourceServer resource)

Copyright © 2021 JBoss by Red Hat. All rights reserved.